Skip to content
Get started

Update Product List Lines

POST/api/v2/public/stores/{store_number}/productlists/{id}

Adds or updates lines on an existing product list, using the list id. Each line has a product, a stock pool and a quantity.

Path ParametersExpand Collapse
store_number: string
id: number
formatint64
Header ParametersExpand Collapse
api_key: optional string
Body ParametersJSONExpand Collapse
body: optional array of object { article_no, barcode, product_number, 2 more }
Deprecatedarticle_no: optional string

Deprecated wire-name for CountingCloud.Entities.Entities.Request.PorductList.ProductListLineswithStockRequestModel.ProductNumber. Read on input only; never serialized. Use product_number for new integrations.

barcode: optional string

The product barcode.

product_number: optional string

Product number identifying the line item.

quantity: optional number

Quantity on the line.

formatdouble
stock_pool: optional string

Stock pool the line targets.

ReturnsExpand Collapse
code: optional number
formatint32
data: optional string
message: optional string
status: optional string

Update Product List Lines

curl https://api.colleqtive.net/api/v2/public/stores/$STORE_NUMBER/productlists/$ID \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}
Returns Examples
{
  "code": 0,
  "data": "data",
  "message": "message",
  "status": "status"
}
{
  "code": 401,
  "status": "error",
  "message": "Authentication failed.",
  "error": "unauthorized",
  "error_description": "Authentication failed."
}
{
  "code": 500,
  "status": "fail",
  "message": "The request could not be processed.",
  "error": "internal_error",
  "error_description": "The request could not be processed."
}